complexType "EquityForward"

Namespace: | http://www.fpml.org/FpML-5/reporting
Content: | complex, 1 attribute, 24 elements
Defined: | globally in fpml-eqd-5-3.xsd; see XML source
Includes: | definition of 1 element
Used: | at 1 location

Content Model Diagram

XML Representation Summary
<...
id | = | xsd:ID
| >
Content: | ((primaryAssetClass, secondaryAssetClass*, productType*, productId*) | (((productType+, productId*) | productId+), assetClass*))?, buyerPartyReference?, buyerAccountReference?, sellerPartyReference?, sellerAccountReference?, optionType?, equityEffectiveDate?, underlyer?, notional?, equityExercise?, (feature?, fxFeature?)?, strategyFeature?, dividendConditions?, methodOfAdjustment?, extraordinaryEvents?, forwardPrice
</...>

Content Model Elements (24):

  assetClass (defined in Product.model group),
  buyerAccountReference,
  buyerPartyReference (defined in BuyerSeller.model group),
  dividendConditions (defined in EquityDerivativeLongFormBase complexType),
  equityEffectiveDate,
  equityExercise (defined in EquityDerivativeBase complexType),
  extraordinaryEvents (defined in EquityDerivativeLongFormBase complexType),
  feature (defined in Feature.model group),
  forwardPrice,
  fxFeature (defined in Feature.model group),
  methodOfAdjustment (defined in EquityDerivativeLongFormBase complexType),
  notional (defined in EquityDerivativeBase complexType),
  optionType (defined in EquityDerivativeBase complexType),
  primaryAssetClass (defined in Product.model group),
  productId (defined in Product.model group),
  productId (defined in Product.model group),
  productId (defined in Product.model group),
  productType (defined in Product.model group),
  productType (defined in Product.model group),
  secondaryAssetClass (defined in Product.model group),
  sellerAccountReference,
  sellerPartyReference (defined in BuyerSeller.model group),
  strategyFeature (defined in EquityDerivativeBase complexType),
  underlyer (defined in EquityDerivativeBase complexType)

All Direct / Indirect Based Elements (1):

  equityForward

Known Usage Locations

- As direct type of elements (1):
  equityForward

Annotation
A type for defining equity forwards.
Type Definition Detail

Type Derivation Tree Product (extension) EquityDerivativeBase (extension) EquityDerivativeLongFormBase (extension) EquityForward

XML Source (w/o annotations (2); see within schema source)

<xsd:complexType name="EquityForward"> <xsd:complexContent> <xsd:extension base="EquityDerivativeLongFormBase"> <xsd:sequence> <xsd:element name="forwardPrice" type="NonNegativeMoney"/> </xsd:sequence> </xsd:extension> </xsd:complexContent> </xsd:complexType>

Content Element Detail (all declarations; defined within this component only; 1/24)
forwardPrice

  Type: | NonNegativeMoney, complex content

  The forward price per share, index or basket.
  XML Source (w/o annotations (1); see within schema source)

  <xsd:element name="forwardPrice" type="NonNegativeMoney"/>

XML schema documentation generated with DocFlex/XML 1.8.6b2 using DocFlex/XML XSDDoc 2.5.1 template set. All content model diagrams generated by Altova XMLSpy via DocFlex/XML XMLSpy Integration.